Subject: bug#26752: Ansible & others' problems with wrapped '.ansible-real' scripts

From: Brice Waegeneire <[email-masked]>
Date: Sat, 21 Mar 2020 20:25:15 +0000

Hello,

Arun Isaac <[email-masked]> writes:
> FWIW, I fixed our ansible package in
> https://issues.guix.info/issue/33777 . This is not a general solution,
> but at least our ansible package works at the moment.

If this bug is about ansible malfunctioning then it should be closed,
Arun fixed it in 01cb4d47570c38812492bbc331b7b818e1b69fbb. I've tested
it myself successfully with the command from the IRC report[0] (linked
in the merged issue[2]).
On the other hand If it's about fixing it with the new wrap-script from
Ricardo I can send a patch, but the derivation will need guile as a new
input.

[0]: http://logs.guix.gnu.org/guix/2018-04-28.log#013741
[1]: https://issues.guix.info/issue/31299

Brice.